Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class INVALID_TRANSACTION

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--org.omg.CORBA.SystemException
                              |
                              +--org.omg.CORBA.INVALID_TRANSACTION

All Implemented Interfaces:
  Serializable

public final class INVALID_TRANSACTION
extends SystemException

Exception thrown when the request carried an invalid transaction context. For example, this exception could be raised if an error occurred when trying to register a resource.

It contains a minor code, which gives more detailed information about what caused the exception, and a completion status. It may also contain a string describing the exception.

Since:
  JDK1.2
See Also:
  documentation on Java IDL exceptions

Field Summary

Fields inherited from class org.omg.CORBA.SystemException
`completed, minor`

Constructor Summary
`INVALID_TRANSACTION()` Constructs an `INVALID_TRANSACTION` exception with a default minor code of 0 and a completion state of COMPLETED_NO.
`INVALID_TRANSACTION(int minor, CompletionStatus completed)` Constructs an `INVALID_TRANSACTION` exception with the specified minor code and completion status.
`INVALID_TRANSACTION(String s)` Constructs an `INVALID_TRANSACTION` exception with the specified detail message.
`INVALID_TRANSACTION(String s, int minor, CompletionStatus completed)` Constructs an `INVALID_TRANSACTION` exception with the specified detail message, minor code, and completion status.

Methods inherited from class org.omg.CORBA.SystemException
`toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### INVALID_TRANSACTION

    public INVALID_TRANSACTION()

  Constructs an `INVALID_TRANSACTION` exception with a default minor code of 0 and a completion state of COMPLETED_NO.

### INVALID_TRANSACTION

    public INVALID_TRANSACTION(String s)

  Constructs an `INVALID_TRANSACTION` exception with the specified detail message.

Parameters:
  `s` - the String containing a detail message

### INVALID_TRANSACTION

    public INVALID_TRANSACTION(int minor,
                               CompletionStatus completed)

  Constructs an `INVALID_TRANSACTION` exception with the specified minor code and completion status.

Parameters:
  `minor` - the minor code
  `completed` - the completion status

### INVALID_TRANSACTION

    public INVALID_TRANSACTION(String s,
                               int minor,
                               CompletionStatus completed)

  Constructs an `INVALID_TRANSACTION` exception with the specified detail message, minor code, and completion status. A detail message is a String that describes this particular exception.

Parameters:
  `s` - the String containing a detail message
  `minor` - the minor code
  `completed` - the completion status

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.